package com.wisedu.mooc.app.user.service;

import java.util.List;

import com.wisedu.coeus.core.db.PageMaker;
import com.wisedu.mooc.app.user.bo.UserInfo;


public interface UserInfoService{
	
	List<UserInfo> getAllUser();
	
	UserInfo queryUserInfo(Long userId);

    void updateUserInfo(UserInfo userInfo);

    Long saveUserInfo(UserInfo userInfo);

    PageMaker getUserInfo(String keyword,int pageIndex,int pageSize);

    void deleteUser(List<Long> userIdList);

    void updateUserPassword(List<Long> userIdList);
}
